# Class SimpleLayerType

java.lang.Object
uk.ac.starlink.ttools.plot2.task.SimpleLayerType

All Implemented Interfaces:
  `LayerType`

Direct Known Subclasses:
  `SpotPlotter.SpotLayerType`

public class SimpleLayerType extends Object implements LayerType
LayerType representing a single Plotter.

Since:
  15 Sep 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`SimpleLayerType(Plotter<?> plotter)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.Parameter<?>[]`
`getAssociatedParameters(String suffix)`
Returns a list of zero or more additional parameters associated with this layer type that may be required to turn it into the specification of an actual Plotter object.
`CoordGroup`
`getCoordGroup()`
Returns a CoordGroup characteristic of this layer type.
`Coord[]`
`getExtraCoords()`
Returns a list of any non-positional coordinates associated with this layer.
`String`
`getName()`
Returns the name of this layer type.
`Plotter<?>`
`getPlotter()`
Returns this layer type's single plotter.
`Plotter<?>`
`getPlotter(uk.ac.starlink.task.Environment env, String suffix)`
Acquires a Plotter for this layer type.
`ConfigKey<?>[]`
`getStyleKeys()`
Returns the style keys associated with this layer type.
`String`
`getXmlDescription()`
Returns an XML description of this layer type.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleLayerType

public SimpleLayerType(Plotter<?> plotter)
Constructor.

Parameters:
  `plotter` - plotter

## Method Details

### getName

public String getName()
Description copied from interface: `LayerType`
Returns the name of this layer type.

Specified by:
  `getName` in interface `LayerType`
Returns:
  name as selected by user

### getXmlDescription

public String getXmlDescription()
Description copied from interface: `LayerType`
Returns an XML description of this layer type.

Specified by:
  `getXmlDescription` in interface `LayerType`
Returns:
  one or more <p> elements

### getAssociatedParameters

public uk.ac.starlink.task.Parameter<?>[] getAssociatedParameters(String suffix)
Description copied from interface: `LayerType`
Returns a list of zero or more additional parameters associated with this layer type that may be required to turn it into the specification of an actual Plotter object.

Specified by:
  `getAssociatedParameters` in interface `LayerType`
Parameters:
  `suffix` - layer suffix string for use in the execution environment
Returns:
  zero or more associated parameters, for documentation purposes

### getPlotter

public Plotter<?> getPlotter(uk.ac.starlink.task.Environment env, String suffix)
Description copied from interface: `LayerType`
Acquires a Plotter for this layer type.

Specified by:
  `getPlotter` in interface `LayerType`
Parameters:
  `env` - execution environment
  `suffix` - layer suffix string
Returns:
  plotter

### getPlotter

public Plotter<?> getPlotter()
Returns this layer type's single plotter.

Returns:
  plotter

### getCoordGroup

public CoordGroup getCoordGroup()
Description copied from interface: `LayerType`
Returns a CoordGroup characteristic of this layer type. It is not guaranteed that the returned value will be identical to the CoordGroup of all the plotters that this type can return.

Specified by:
  `getCoordGroup` in interface `LayerType`
Returns:
  best-efforts CoordGroup

### getExtraCoords

public Coord[] getExtraCoords()
Description copied from interface: `LayerType`
Returns a list of any non-positional coordinates associated with this layer.

Specified by:
  `getExtraCoords` in interface `LayerType`
Returns:
  zero or more non-positional coordinates

### getStyleKeys

public ConfigKey<?>[] getStyleKeys()
Description copied from interface: `LayerType`
Returns the style keys associated with this layer type.

Specified by:
  `getStyleKeys` in interface `LayerType`
Returns:
  zero or more style keys associated with every layer produced by this type